[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TAlignPositionEvent

Type of an OnAlignPosition handler.

## Declaration

Source position: controls.pp line 2058

`type TAlignPositionEvent = procedure(`
`Sender: TWinControl;`
`Control: TControl;`
`var NewLeft: Integer;`
`var NewTop: Integer;`
`var NewWidth: Integer;`
`var NewHeight: Integer;`
`var AlignRect: TRect;`
`AlignInfo: TAlignInfo`
`) of object;`

## Arguments

`Sender` |  | TWinControl generating the event notification.
`Control` |  | The control to position.
`NewLeft` |  | New Left coordinate for the control.
`NewTop` |  | New Top coordinate for the control.
`NewWidth` |  | New Width for the control.
`NewHeight` |  | New Height for the control.
`AlignRect` |  | The remaining ClientRect.
`AlignInfo` |  | Information about the current align process.

## Description

Specified an event handler which positions the Control using the specified coordinates and alignment information.

## See also

TWinControl.CustomAlignPosition |  | Returns the aligned position for a custom-aligned child control, using the OnAlignPosition event handler.